<div class="wrapper">
    <div class="row mt-3" *ngIf="!addCase && !mergeCaseShowFlag;else elseAddCase;">
        <div class="col-xl-6"></div>
        <div class="col-xl-6">
            <div class="d-flex" [ngClass]="nodata?'divright':'align-items-center'">
                <div class="ml-auto" *ngIf="!nodata">
                    <mat-button-toggle-group appearance="legacy" name="status" aria-label="status" value="active"
                                             (change)="caseActiveChanged($event)" class="custom-mat-button-toggle-group"
                                             [disabled]="isActiveDischargeDisabled">
                        <mat-button-toggle value="active">Active</mat-button-toggle>
                        <mat-button-toggle value="inactive" class="dischargedBTN">Discharged</mat-button-toggle>
                    </mat-button-toggle-group>
                </div>
                <div>
                    <button *ngIf="mergecaseShow" mat-stroked-button color="accent" class="wide merge"
                            (click)="goToMergeCase()">
                        Merge Case
                    </button>
                </div>
                <div>
                    <button mat-raised-button color="accent"
                            *appAccess="moduleName; lookFor:'C'"
                            [ngClass]="{'addbutton1': mergecaseShow == true,'addbutton': mergecaseShow == false}"
                            (click)="onAddCase()" class="wide">
                        <span>Add Case</span>
                    </button>
                </div>
            </div>
        </div>
    </div>

    <ng-template #elseAddCase>
        <!-- add case form -->
        <div class="addbox" *ngIf="!mergeCaseShowFlag" style="position: relative;">
            <mat-tab-group color="warn" class="padding">
                <mat-tab label="{{add_case_label}}">
                    <form [formGroup]="caseForm" class="treat-form">
                        <div class="row addform mt-5 px-3">
                            <div class="col-xl-6">
                                <div class="normal_13px_15px_font text-right normalhelfont grey caser pb-1">
                                    Required
                                </div>
                                <div>
                                    <mat-form-field [appearance]="'outline'" class="full-width mr-2" id="field">
                                        <mat-label>Case Name</mat-label>
                                        <!-- <input matInput (keyup)="handleFilterCase($event)" formControlName="caseName" required> -->
                                        <app-add-new-dropdown class="w-100 bg-white" [categoryId]="16"
                                                              formControlName="caseName">
                                        </app-add-new-dropdown>
                                        <!-- <mat-autocomplete #auto="matAutocomplete">
                        <mat-option *ngFor="let name of caseDropdownListSearch" [value]="name.categoryName">
                            {{name.categoryName}}
                        </mat-option>
                    </mat-autocomplete> -->
                                        <mat-error
                                                *ngIf="caseForm.controls.caseName.hasError('required') && caseForm.controls.caseName.touched">
                                            This field is required
                                        </mat-error>
                                        <mat-error *ngIf="caseForm.controls.caseName.hasError('maxlength')">You can't
                                            type more than 100 characters
                                        </mat-error>
                                    </mat-form-field>
                                </div>
                            </div>

                            <div class="col-xl-3">

                                <mat-form-field appearance="outline" class="injuryDate">
                                    <mat-label>Injury Date</mat-label>
                                    <app-date-picker [max]="maxDOBDate" formControlName="injuryDate"
                                                     (valueChange)="onDateSelect('injuryDate',$event)"></app-date-picker>
                                </mat-form-field>

                                <!-- old code  -->

                                <!-- <mat-form-field [appearance]="'outline'" class="injuryDate">
                                    <mat-label>Injury Date</mat-label>
                                    <button type="button" class="d-flex align-items-center no-border-bg-btn w-100 cursor-pointer p-0" #dateInput>
                    <input matInput type="text" class="flex-fill text-left" readonly="true" formControlName="injuryDate"
                           [value]="this.caseForm.get('injuryDate').value | date: 'dd/MM/yyyy'"/>
                    <img src="../../../../../assets/calendar%202.png">
                  </button>
                                    <app-calender-popup *ngIf="dateInputElem" [max]="maxDOBDate" [anchor]="dateInputElem" (onOptionChanged)="optionChanged('injuryDate')" (valueChange)="onDateSelect('injuryDate',$event)"></app-calender-popup>
                                </mat-form-field> -->


                                <!-- <div>
                    <label class="m-0">Injury Date </label>
                </div>
                <div class="d-flex align-items-center " style="position: relative;">
                    <button #calendarOpenBtn class="d-flex align-items-center selected-date-wrapper" [ngClass]="{'week-view': currentView != 'day'}" (click)="toggleCalendarPopup(!isCalendarOpen,'injuryDate')" style="position: relative;">
    <div class="d-flex align-items-center justify-content-between w-100">
      <div class="pl-2">
        {{getSelectedFormattedDate}}
      </div>
      <div class="mr-2">
        <img src="../../../../../assets/calendar%202.png">
      </div>
    </div>
  </button>
                    <div [ngClass]="{'c-calender-popup': isCalendarOpen == false,'c-calender-popup1':isCalendarOpen == true}">
                        <kendo-popup #popup [margin]="calendarPopUpMargin" style="cursor: pointer;" [anchor]='calendarOpenBtn' popupClass="d-flex justify-content-center align-items-center date-selection-popup" *ngIf="isCalendarOpen" (open)="openCalendarPopup('injuryDate')" (mouseover)="calenderPopupFocus(true,'injuryDate')"
                            (mouseleave)="calenderPopupFocus(false,'injuryDate')">
                            <dx-calendar #calendarInjury class="calendar-popup" [firstDayOfWeek]="firstDay" [disabled]="false" [(value)]="currentDate" cellTemplate="custom" (onOptionChanged)="optionChanged('injuryDate')" (valueChange)="onDateSelect('injuryDate')" formControlName="injuryDate">
                                <div class="d-flex align-items-center justify-content-center calender-tmplt-cell" [ngClass]="{'current-hover-date-week-date': isApplyWeekOrMF(cell.date)}" *dxTemplate="let cell of 'custom'" (mouseover)="mouseHover(cell)">
                                    <div class="d-flex align-items-center justify-content-center calender-tmplt-cell-text">
                                        {{cell.text}}
                                    </div>
                                </div>
                            </dx-calendar>
                            <div class="today-btn-wrapper">
                                <button mat-raised-button class="custom-today-btn" (click)="setTodayDate('injuryDate')">Today</button>
                            </div>
                        </kendo-popup>
                    </div>
                </div> -->

                            </div>
                            <div class="col-xl-3 top" style="margin-top: 19px;">
                                <div>
                                    <mat-form-field [appearance]="'outline'" class="full-width mr-2" id="field">
                                        <mat-label>Primary Practitioner</mat-label>
                                        <div class="material-icons "
                                             style="position: absolute;right: 0;color: #00AEEF;">
                                            search
                                        </div>
                                        <div class="material-icons"
                                             style="position: absolute;right: -17px;color: #00AEEF;">
                                            arrow_drop_down
                                        </div>
                                        <input matInput autocomplete="off" (keyup)="handleFilterPractitioner($event)"
                                               [matAutocomplete]="auto1" formControlName="primaryPractitionerName">
                                        <mat-autocomplete #auto1="matAutocomplete">
                                            <mat-option *ngFor="let obj of practitionerDataSearch" [value]="obj.id"
                                                        (click)="selectedClient(obj)">
                                                {{obj.firstName}}
                                            </mat-option>
                                        </mat-autocomplete>
                                    </mat-form-field>
                                </div>
                            </div>
                        </div>
                        <div class="row addform mt-3 px-3">
                            <div class="col-xl-6">
                                <mat-form-field [appearance]="'outline'" class="full-width mr-2" id="field">
                                    <mat-label>Notes</mat-label>
                                    <textarea matInput autocomplete="off" rows="5" placeholder="Notes"
                                              formControlName="notes"></textarea>
                                    <mat-error *ngIf="caseForm.controls.notes.hasError('maxlength')">You can't type more
                                        than 250 characters
                                    </mat-error>
                                </mat-form-field>
                            </div>
                        </div>

                        <div class="mx-3" style="align-items: center;">
                            <mat-checkbox class="set_as_default" formControlName="isdefault"
                                          (change)="defaultValueChange($event,'case')">
                                <span style="padding-left: 15px;align-items: center;">
                  Set as Default
                </span>
                            </mat-checkbox>
                        </div>

                        <div class="casecontacts mx-3">
                            <div class="head">
                                <div class="text-left" style="
                                font-size: 16px;">
                                    <strong>Case Contacts</strong>
                                </div>
                                <div class="text-right">
                                    <a href="javascript:void(0)" (click)="showConfirmation('attach_referral',true)"
                                       class="custom-referral-title">
                                        Attach
                                        Referral
                                    </a> <span class="custom-referral-title pipe">|</span> <a href="javascript:void(0)"
                                                                                              class="custom-referral-title"
                                                                                              (click)="showConfirmation('third_party',true)">
                                    Attach
                                    Third Party
                                </a>
                                </div>
                            </div>
                            <div class="contactbox">
                                <div class="col-xl-12 nodata"
                                     [ngClass]="{'custom-table-wrapper-nodata': referralAddList.length == 0,'custom-table-wrapper-data':referralAddList.length != 0}">
                                    <div class="grid-child" *ngIf="referralAddList.length == 0">
                                        <p><img src="../../../../../assets/no_data.ico"/></p>
                                        <p>
                                            <strong> You haven't added a Referral or Third Party contact.</strong>
                                        </p>
                                        <p>
                                            Please click on the “Attach Referral” or “Attach Third Party” link to attach
                                            contacts for this case.
                                        </p>

                                    </div>
                                    <div *ngIf="referralAddList.length != 0">
                                        <!-- Referral/Third Party add Grid -->
                                        <kendo-grid #referralGrid [data]="referralAddList" [sortable]="false"
                                                    [navigable]="false" [resizable]="false"
                                                    class="custom-referral-grid">
                                            <kendo-grid-column class="custom-header" title="Contact Type" field="type"
                                                               width="35">
                                                <ng-template class="custom-header" kendoGridCellTemplate let-dataItem>
                                                    <span class="custom-td">
                            {{ getContactType(dataItem.type) }}
                          </span>
                                                </ng-template>
                                            </kendo-grid-column>
                                            <kendo-grid-column title="Status" field="status" width="20">
                                                <ng-template kendoGridCellTemplate let-dataItem>
                                                    <span class="custom-td">
                            {{ getReferralOrThirdPartyStatusName(dataItem.status) }}
                          </span>
                                                </ng-template>
                                            </kendo-grid-column>
                                            <kendo-grid-column title="Name" field="contactId" width="50">
                                                <ng-template kendoGridCellTemplate let-dataItem>
                                                    <a (click)="editReferral(dataItem)" *ngIf="dataItem.type == 1">
                                                        <span class="custom-td-hightLight">
                              {{ getReferralName(dataItem.contactId) }}
                            </span>
                                                    </a>
                                                    <a (click)="editReferral(dataItem)" *ngIf="dataItem.type != 1">
                                                        <span class="custom-td-hightLight">
                              {{ getThirdPartyOrganizationName(dataItem.contactId) }}
                            </span>
                                                    </a>
                                                    <span *ngIf="dataItem.isDefault"
                                                          class="default"><i>(default)</i></span>
                                                </ng-template>
                                            </kendo-grid-column>
                                            <kendo-grid-column title="Start Date" field="startDate" width="35">
                                                <ng-template kendoGridCellTemplate let-dataItem>
                                                    <span class="custom-td">
                            {{dataItem.startDate | date: 'd MMMM y' | customDate}}
                          </span>
                                                </ng-template>
                                            </kendo-grid-column>
                                            <kendo-grid-column title="End Date" field="endDate" width="35">
                                                <ng-template kendoGridCellTemplate let-dataItem>
                                                    <span class="custom-td"
                                                          *ngIf="dataItem.endDate != 'indefinte' && dataItem.endDate != null">
                            {{dataItem.endDate | date: 'd MMMM y' | customDate}}
                          </span>
                                                    <span class="custom-td"
                                                          *ngIf="dataItem.endDate == 'indefinte' || dataItem.endDate == null">
                            Indefinte
                          </span>
                                                </ng-template>
                                            </kendo-grid-column>
                                            <kendo-grid-column title="Appt. Count" field="count" width="35">
                                                <ng-template kendoGridCellTemplate let-dataItem>
                                                    <span class="custom-td">
                            {{ totalCaseUsed }} / {{ dataItem.count }}
                          </span>
                                                </ng-template>
                                            </kendo-grid-column>
                                            <kendo-grid-column title="Notes" field="notes" width="20">
                                                <ng-template kendoGridCellTemplate let-dataItem>
                                                    <span class="custom-td">
                            <!-- {{ dataItem.notes }} -->
                            <img *ngIf="dataItem.notes != '' && dataItem.notes != null && dataItem.notes != undefined"
                                 (click)="editReferral(dataItem)" matTooltip="{{dataItem.notes}}"
                                 style="cursor: pointer;"
                                 src="../../../../../assets/info_note.svg">
                            <img *ngIf="dataItem.notes == ''
                                                        || dataItem.notes == null || dataItem.notes == undefined"
                                 style="cursor: not-allowed;" src="../../../../../assets/info_no_note.svg"/>
                          </span>
                                                </ng-template>
                                            </kendo-grid-column>
                                        </kendo-grid>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="bottom-bar-wrapper">
                            <div class="text-left control-row" *appAccess="moduleName; lookFor:['D']">
                                <div class="pt-3 pb-3">
                                    <button mat-stroked-button mat-raised-button *ngIf="caseId != '' && caseId != null"
                                            class=" mat-stroked-button-delete ml-3" (click)="openPopups('deleteCase')">
                                        Delete
                                    </button>
                                </div>
                            </div>
                            <div class="text-right control-row">
                                <div class="pt-3 pb-3 pr-3 d-flex justify-content-end">
                                    <div *appAccess="moduleName; lookFor:'E'">
                                        <button mat-stroked-button color="accent"
                                                *ngIf="caseId != '' && caseId != null && caseStatus == 0 || caseStatus == 2"
                                                class="mr-3 cancelbutton" (click)="openPopups('dischargeCase')">
                                            Discharge
                                        </button>
                                    </div>
                                    <div *appAccess="moduleName; lookFor:'E'">
                                        <button mat-stroked-button color="accent"
                                                *ngIf="caseId != '' && caseId != null && caseStatus == 1"
                                                class="mr-3 cancelbutton" (click)="openPopups('dischargeCase')">
                                            Re-Open
                                        </button>
                                    </div>
                                    <button mat-stroked-button color="accent" class="mr-3 cancelbutton"
                                            (click)="openPopups('cancelCase')">
                                        Cancel
                                    </button>
                                    <button mat-raised-button color="accent"
                                            *appAccess="moduleName; lookFor:['C', 'E']"
                                            [ngClass]="caseForm.invalid ? 'mr-3 buttons-space' : 'mr-3 save'" style="min-width: 64px;min-width: 64px;
                                    width: 86px;" (click)="saveCaseForm()" [disabled]="caseForm.invalid">
                                        Save
                                    </button>
                                </div>
                            </div>
                        </div>
                    </form>
                </mat-tab>

            </mat-tab-group>
            <div class="tab-right" *ngIf="add_case_label == 'EDIT CASE'">
                <div>Status :</div>
                <span class="status-label"> {{getMainTableStatusName(caseForm.controls['caseStatus'].value) }}</span>
            </div>
        </div>
        <!-- merge case start -->
        <div *ngIf="mergeCaseShowFlag">
            <div class="mt-4" style="margin-left: 10px;">
                <div class="k-card k-card-vertical mr-1">
                    <div class="pt-3 pl-3">
                        <h5>Merge Case</h5>
                    </div>
                    <mat-divider></mat-divider>
                    <div class="container mt-3 main-merge-wrap" style="width: 100%;max-width:100%">
                        <div class="row">
                            <div class="col-6">
                                <span class="pt-3 span-label"><b>1. Select Case(s)</b></span>
                                <table class="table table-bordered">
                                    <thead>
                                    <tr>
                                        <th scope="col">Case Name</th>
                                        <th scope="col">Payer</th>
                                        <th scope="col">Case Status</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr *ngFor="let item of LeftSideList;let i=index;">
                                        <td>
                                            <div class="custom-control custom-checkbox">
                                                <input type="checkbox" class="custom-control-input"
                                                       id="customCheck{{i}}" [(ngModel)]="item.checked"
                                                       (change)="checkboxChange()">
                                                <label class="custom-control-label"
                                                       for="customCheck{{i}}">{{item.caseName}}</label>
                                            </div>
                                        </td>
                                        <td> {{ getPrimoryPractitionerName(item.primaryPractitionerId) }}</td>
                                        <td> {{ getMainTableStatusName(item.caseStatus) }}</td>
                                    </tr>
                                    </tbody>
                                </table>
                                <div style="color: red;" *ngIf="errorMessageCaseNotSelectTo != null">
                                    {{errorMessageCaseNotSelectTo}}
                                </div>
                            </div>
                            <div class="col-6" *ngIf="showMergeInfoFlag">
                                <span class="pt-3 span-label"><b>2. Merge Info</b></span>
                                <table class="table table-bordered">
                                    <thead>
                                    <tr>
                                        <th scope="col">Case Name</th>
                                        <th scope="col">Payer</th>
                                        <th scope="col">Case Status</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr *ngFor="let item of RightSideList;let i=index;">
                                        <td>
                                            <div class="custom-control">
                                                <input type="radio" id="customRadioCheck{{i}}" (change)="radioChange(i)"
                                                       [checked]="item.radioChecked">
                                                <label class="pl-2"
                                                       for="customRadioCheck{{i}}">{{item.caseName}}</label>
                                            </div>
                                        </td>
                                        <td> {{ getPrimoryPractitionerName(item.primaryPractitionerId) }}</td>
                                        <td> {{ getMainTableStatusName(item.caseStatus) }}</td>
                                    </tr>
                                    </tbody>
                                </table>
                                <div style="color: red;" *ngIf="errorMessageCaseNotSelect != null">
                                    {{errorMessageCaseNotSelect}}
                                </div>
                            </div>
                        </div>
                    </div>
                    <mat-divider></mat-divider>
                    <div class="bottom-bar-wrapper">
                        <div class="text-right control-row bottom-btn">
                            <div class="pt-3 pb-3 pr-2">
                                <button mat-stroked-button color="accent" class="mr-3 footer-btn-customize"
                                        (click)="goBackToListing()" id="nocancel" style="padding: 0 0px">
                                    Cancel
                                </button>
                                <button mat-raised-button color="accent" (click)="mergeCases()" style="padding: 0 30px">
                                    Merge Case
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- merge case end -->
    </ng-template>

    <div *ngIf="nodata && !addCase && !mergeCaseShowFlag" class="row application-data-centered">
        <div class="col-xl-12">
            <div class="grid-child">
                <p><img src="../../../../../assets/no_data.ico"/></p>
                <p>
                    <strong> You haven’t added a case yet.</strong>
                </p>
                <div *appAccess="moduleName; lookFor: 'C'">
                    <p>
                        Please click on the “Add Case” button to add new case for this patient
                    </p>
                    <p>
                        <strong>
                            <a href="javascript:void(0)" (click)="onAddCase()"> Add Case</a>
                        </strong>
                    </p>
                </div>
            </div>
        </div>
    </div>

    <!-- Listing start -->
    <div class="mt-3" *ngIf="!nodata && !addCase && !mergeCaseShowFlag">
        <kendo-grid #caseGrid [data]="gridView" [pageSize]="pageSize" [skip]="skip" [pageable]="true"
                    [columnMenu]="true" (pageChange)="pageChangeCase($event)" [reorderable]="true" [filterable]="true"
                    [filter]="stateCase.filter" [sortable]="true" [groupable]="true"
                    [navigable]="true" [reorderable]="reorder" [selectable]="true" [sortable]="{
                allowUnsort: allowUnsort,
                mode: multiple ? 'multiple' : 'single'
              }" [sort]="sort" (dataStateChange)="dataStateChangeCase($event)" (sortChange)="sortChangeCase($event)"
                    (groupChange)="groupChangeCase($event)" (detailCollapse)="detailCollapse($event)"
                    (detailExpand)="detailExpand($event)">

            <kendo-grid-column field="createdDate" title="Case Date" width="50">
                <ng-template kendoGridCellTemplate let-dataItem>
                    {{ dataItem.createdDate | date: 'MM/dd/yyyy' }}
                </ng-template>
            </kendo-grid-column>
            <kendo-grid-column field="caseName" title="Case Name" width="50">
                <ng-template kendoGridCellTemplate let-dataItem>
                    <label style="color: #00AEEF; cursor: pointer;"
                           (click)="navigateCaseEdit(dataItem)">{{ dataItem.caseName }}</label>
                    <span *ngIf="dataItem.isdefault" class="custom-span"><i>(default)</i></span>
                </ng-template>
            </kendo-grid-column>
            <kendo-grid-column field="injuryDate" title="Injury Date" width="50">
                <ng-template kendoGridCellTemplate let-dataItem>
                    <label *ngIf="dataItem.injuryDate != null">{{ dataItem.injuryDate | date: 'MM/dd/yyyy'}}</label>
                </ng-template>
            </kendo-grid-column>
            <kendo-grid-column field="primaryPractitionerName" title="Primary Practitioner" width="50">
                <ng-template kendoGridCellTemplate let-dataItem>
                    <label>
                        <!-- {{ getPrimoryPractitionerName(dataItem.primaryPractitionerId) }} -->
                        {{dataItem.primaryPractitionerName}}
                    </label>
                </ng-template>
            </kendo-grid-column>
            <kendo-grid-column field="caseStatusName" title="Case Status" width="50">
                <ng-template kendoGridCellTemplate let-dataItem>
                    <label>
                        {{ getMainTableStatusName(dataItem.caseStatus) }}
                    </label>
                </ng-template>
            </kendo-grid-column>

            <!-- Referral/Third Party Contacts Sub-Grid -->
            <!-- START SUB GRID -->
            <div *kendoGridDetailTemplate="let dataItem;showIf: isCaseDetailData">
                <kendo-grid #referralGrid [data]="dataItem.caseContacts" [sortable]="true" [navigable]="true"
                            [resizable]="true" scrollable="none" kendoGridFocusable [sortable]="{
                            allowUnsort: allowUnsort,
                            mode: multiple ? 'multiple' : 'single'
                        }" [sort]="sort" (dataStateChange)="referralDataStateChange($event)">
                    <kendo-grid-column title="Name" field="practitionerReferredTo" width="40">
                        <ng-template kendoGridCellTemplate let-dataItem>
                            <span *ngIf="dataItem.type == 1"> {{ getReferralName(dataItem.contactId) }}</span>
                            <span *ngIf="dataItem.type != 1">{{ getThirdPartyOrganizationName(dataItem.contactId)}}</span>
                            <span *ngIf="dataItem.isDefault" class="custom-span"><i>(default)</i></span>
                        </ng-template>
                    </kendo-grid-column>
                    <kendo-grid-column title="Contact Type" field="type" width="35">
                        <ng-template kendoGridCellTemplate let-dataItem>
                            {{ getContactType(dataItem.type) }}
                        </ng-template>
                    </kendo-grid-column>
                    <kendo-grid-column title="Status" field="status" width="20">
                        <ng-template kendoGridCellTemplate let-dataItem>
                            {{ getReferralOrThirdPartyStatusName(dataItem.status) }}
                        </ng-template>
                    </kendo-grid-column>

                    <kendo-grid-column title="Start Date" field="startDate" width="35">
                        <ng-template kendoGridCellTemplate let-dataItem>
                            {{ dataItem.startDate | timeFormat : 'Do MMM YYYY' }}
                        </ng-template>
                    </kendo-grid-column>
                    <kendo-grid-column title="End Date" field="endDate" width="35">
                        <ng-template kendoGridCellTemplate let-dataItem>
                            <!-- {{ dataItem.endDate | date: 'MM/dd/yyyy' }} -->
                            <span *ngIf="dataItem.endDate != null">
                {{dataItem.endDate  | timeFormat : 'Do MMM YYYY'}}
              </span>
                            <span *ngIf="dataItem.endDate == null">
                Indefinte
              </span>
                        </ng-template>
                    </kendo-grid-column>
                    <kendo-grid-column title="No. of Sessions" field="count" width="35">
                        <ng-template kendoGridCellTemplate let-dataItem>
                            {{ totalCaseUsed }} / {{ dataItem.count }}
                        </ng-template>
                    </kendo-grid-column>
                    <kendo-grid-column title="Notes" field="notes" width="30">
                        <ng-template kendoGridCellTemplate let-dataItem>
                            <!-- (click)="editReferral(dataItem)"  style="cursor: pointer;" -->
                            <img *ngIf="dataItem.notes != '' && dataItem.notes != null && dataItem.notes != undefined"
                                 matTooltip="{{dataItem.notes}}" src="../../../../../assets/info_note.svg">
                            <img *ngIf="dataItem.notes == ''
                        || dataItem.notes == null || dataItem.notes == undefined" style="cursor: not-allowed;"
                                 src="../../../../../assets/info_no_note.svg"/>
                        </ng-template>
                    </kendo-grid-column>

                </kendo-grid>
            </div>
            <!-- END SUB GRID -->

        </kendo-grid>
    </div>
    <!-- Listing end -->
    <!-- referral/third party pop up start-->
    <kendo-dialog *ngIf="referralFlag" (close)="closePopups('referralAdd')" [height]="auto" [width]="738"
                  autoFocusedElement="#nocancel">
        <div class="modalHeight">
            <div class="col-xl-12 p-0">
                <div class="custom-delete-modal">
                    <span class="bold_18px_font black uppercasetext">
            {{upload_title}}
          </span>
                    <button mat-icon-button (click)="closePopups('referralAdd')" aria-label="Close dialog">
                        <mat-icon>close</mat-icon>
                    </button>
                </div>
            </div>
            <mat-divider></mat-divider>
            <div class="col-xl-12 p-0">
                <div class="example-wrapper">
                    <form [formGroup]="referralForm" class="treat-form">
                        <div class="row addform mt-5 reduceTopMarginReferral">
                            <div class="col-6"
                                 *ngIf="upload_title == 'Attach Referral' ||  upload_title == 'Edit Attached Referral'">
                                <div class="w-100 normal_13px_15px_font text-right normalhelfont grey caser">
                                    Required
                                </div>
                                <mat-form-field [appearance]="'outline'" class="full-width mr-2" id="field">
                                    <mat-label>Referral Provider</mat-label>
                                    <input autocomplete="off" class="d-none" matInput type="text"
                                           [value]="referralForm.get('contactId').value"/>
                                    <div class="app-mat-field-inside-select">
                                        <kendo-dropdownlist [data]="referralSearch" [valuePrimitive]="true"
                                                            [textField]="'name'" [valueField]="'id'" [filterable]="true"
                                                            [disabled]="isDisabled" [value]="name"
                                                            class="full-width selected-dropdown-wrapper"
                                                            (open)="onKendoDropDownOpen('contactId')"
                                                            (filterChange)="handleFilterReferralProvider($event)"
                                                            (valueChange)="handleChange($event)"
                                                            formControlName="contactId" autocomplete="off" required>

                                            <ng-template kendoDropDownListNoDataTemplate>
                                                <div>
                                                    No data found.<br>
                                                    <ng-container *ngIf="filter">
                                                        Do you want to add new Referral Provider?
                                                    </ng-container>
                                                    <br/>
                                                    <button *ngIf="filter" class="k-button"
                                                            (click)="addNewPatientContactReferral()">
                                                        Add New Referral
                                                    </button>
                                                </div>
                                            </ng-template>
                                            <!-- <div class="material-icons c-list-search-icon">
    search
</div> -->
                                        </kendo-dropdownlist>
                                    </div>
                                    <mat-error *ngIf="referralForm.controls['contactId'].hasError('required')">
                                        This field is required
                                    </mat-error>
                                </mat-form-field>

                                <!--                                <div style="display: flex;justify-content: space-between;">-->
                                <!--                                    <div>-->
                                <!--                                        <label>Referral Provider</label>-->
                                <!--                                    </div>-->
                                <!--                                  -->
                                <!--                                </div>-->
                                <!--                                <div class="col-xl-12 d-flex d-block align-items-center mb-1 c-dropdon-list">-->
                                <!--                                    <kendo-formfield style="width: 100%;">-->
                                <!--                                        <kendo-dropdownlist [data]="referralSearch" [valuePrimitive]="true" [textField]="'name'" [valueField]="'id'" [filterable]="true" [disabled]="isDisabled" [value]="name" class="full-width selected-dropdown-wrapper" (filterChange)="handleFilterReferralProvider($event)"-->
                                <!--                                            (valueChange)="handleChange($event)" formControlName="contactId" autocomplete="off" required>-->

                                <!--                                            <ng-template kendoDropDownListNoDataTemplate>-->
                                <!--                                                <div>-->
                                <!--                                                    No data found.<br>-->
                                <!--                                                    <ng-container *ngIf="filter">-->
                                <!--                                                        Do you want to add new Referral Provider?-->
                                <!--                                                    </ng-container>-->
                                <!--                                                    <br />-->
                                <!--                                                    <button *ngIf="filter" class="k-button" (click)="addNewPatientContactReferral()">-->
                                <!--                            Add New Referral-->
                                <!--                          </button>-->
                                <!--                                                </div>-->
                                <!--                                            </ng-template>-->
                                <!--                                            &lt;!&ndash; <div class="material-icons c-list-search-icon">-->
                                <!--                          search-->
                                <!--                      </div> &ndash;&gt;-->
                                <!--                                        </kendo-dropdownlist>-->
                                <!--                                        <mat-error *ngIf="referralForm.controls['contactId'].hasError('required') && referralForm.controls['contactId'].touched">-->
                                <!--                                            This field is required-->
                                <!--                                        </mat-error>-->
                                <!--                                    </kendo-formfield>-->
                                <!--                                    <div class="material-icons c-list-search-icon">-->
                                <!--                                        search-->
                                <!--                                    </div>-->
                                <!--                                </div>-->
                            </div>
                            <div class="col-6"
                                 *ngIf="upload_title != 'Attach Referral' &&  upload_title != 'Edit Attached Referral'">

                                <div class="w-100 normal_13px_15px_font text-right normalhelfont grey caser">
                                    Required
                                </div>

                                <mat-form-field [appearance]="'outline'" class="full-width mr-2" id="field">
                                    <mat-label>Third Party Provider</mat-label>
                                    <input autocomplete="off" class="d-none" matInput type="text"
                                           [value]="referralForm.get('contactId').value"/>
                                    <div class="app-mat-field-inside-select">
                                        <kendo-dropdownlist [data]="thirdPartySearch" [valuePrimitive]="true"
                                                            [textField]="'organisationName'" [valueField]="'id'"
                                                            [filterable]="true" [disabled]="isDisabled"
                                                            [value]="organisationName"
                                                            class="full-width selected-dropdown-wrapper"
                                                            (open)="onKendoDropDownOpen('contactId')"
                                                            (filterChange)="handleFilterThirdPartyProvider($event)"
                                                            (valueChange)="handleChange($event)"
                                                            formControlName="contactId" autocomplete="off" required>
                                            <ng-template kendoDropDownListNoDataTemplate>
                                                <div>
                                                    No data found.<br>
                                                    <ng-container *ngIf="filter">
                                                        Do you want to add new Third Party Provider?
                                                    </ng-container>
                                                    <br/>
                                                    <button *ngIf="filter" class="k-button"
                                                            (click)="addNewPatientContactThirdParty()">
                                                        Add Third Party
                                                    </button>
                                                </div>
                                            </ng-template>
                                            <!-- <div class="material-icons c-list-search-icon ">
    search
</div> -->
                                        </kendo-dropdownlist>
                                    </div>
                                    <mat-error *ngIf="referralForm.controls['contactId'].hasError('required')">
                                        This field is required
                                    </mat-error>
                                </mat-form-field>

                                <!--                <div style="display: flex;justify-content: space-between;">-->
                                <!--                  <div>-->
                                <!--                    <label>Third Party Provider</label>-->
                                <!--                  </div>-->
                                <!--                  <div class="normal_13px_15px_font text-right normalhelfont grey caser">-->
                                <!--                    Required-->
                                <!--                  </div>-->
                                <!--                </div>-->
                                <!--                <div class="col-xl-12 d-flex d-block align-items-center mb-1 c-dropdon-list">-->
                                <!--                  <kendo-formfield style="width: 100%;">-->
                                <!--                    <kendo-dropdownlist [data]="thirdPartySearch" [valuePrimitive]="true"-->
                                <!--                                        [textField]="'organisationName'" [valueField]="'id'" [filterable]="true"-->
                                <!--                                        [disabled]="isDisabled" [value]="organisationName"-->
                                <!--                                        class="full-width selected-dropdown-wrapper"-->
                                <!--                                        (filterChange)="handleFilterThirdPartyProvider($event)"-->
                                <!--                                        (valueChange)="handleChange($event)" formControlName="contactId"-->
                                <!--                                        autocomplete="off" required>-->
                                <!--                      <ng-template kendoDropDownListNoDataTemplate>-->
                                <!--                        <div>-->
                                <!--                          No data found.<br>-->
                                <!--                          <ng-container *ngIf="filter">-->
                                <!--                            Do you want to add new Third Party Provider?-->
                                <!--                          </ng-container>-->
                                <!--                          <br/>-->
                                <!--                          <button *ngIf="filter" class="k-button" (click)="addNewPatientContactThirdParty()">-->
                                <!--                            Add Third Party-->
                                <!--                          </button>-->
                                <!--                        </div>-->
                                <!--                      </ng-template>-->
                                <!--                      &lt;!&ndash; <div class="material-icons c-list-search-icon ">-->
                                <!--    search-->
                                <!--</div> &ndash;&gt;-->
                                <!--                    </kendo-dropdownlist>-->
                                <!--                    <mat-error-->
                                <!--                      *ngIf="referralForm.controls['contactId'].hasError('required') && referralForm.controls['contactId'].touched">-->
                                <!--                      This field is required-->
                                <!--                    </mat-error>-->
                                <!--                  </kendo-formfield>-->
                                <!--                  <div class="material-icons c-list-search-icon ">-->
                                <!--                    search-->
                                <!--                  </div>-->
                                <!--                </div>-->
                            </div>

                            <div class="col-6 top" style="margin-top: auto;">
                                <mat-form-field [appearance]="'outline'" class="full-width mr-2" id="field">
                                    <mat-label>No. of Sessions</mat-label>
                                    <input autocomplete="off" min="0" matInput type="number" formControlName="count"/>
                                </mat-form-field>
                            </div>

                            <div class="col-6">
                                <div style="display: flex; justify-content: space-between;">
                                    <div>
                                        <!-- <label class="m-0">Start Date</label> -->
                                    </div>
                                    <div class="normal_13px_15px_font text-right normalhelfont grey caser">
                                        Required
                                    </div>
                                </div>
                                <mat-form-field [appearance]="'outline'">
                                    <mat-label>Start Date</mat-label>
                                    <button type="button"
                                            class="d-flex align-items-center no-border-bg-btn w-100 cursor-pointer p-0"
                                            #startDateInput>
                                        <input matInput type="text" class="flex-fill text-left" readonly="true"
                                               formControlName="startDate"
                                               [value]="this.referralForm.get('startDate').value | date: 'dd/MM/yyyy'"/>
                                        <img src="../../../../../assets/calendar%202.png">
                                    </button>
                                    <app-calender-popup *ngIf="startDateInputElem" [max]="maxDOBDate"
                                                        [anchor]="startDateInputElem"
                                                        (valueChange)="onDateSelect('startDate',$event)"></app-calender-popup>
                                </mat-form-field>
                                <!-- <div class="d-flex align-items-center " style="position: relative;justify-content: space-between;">
                    <button #calendarOpenBtn1 class="d-flex align-items-center selected-date-wrapper" [ngClass]="{'week-view': currentView != 'day'}" (click)="toggleCalendarPopup(!isStartCalenderOpen,'startDate')" style="justify-content: space-between;">
    <div class="pl-2">
      {{getSelectedFormattedDateStart}}
    </div>
    <div class="mr-2">
      <img src="../../../../../assets/calendar%202.png">
    </div>
  </button>
                    <div [ngClass]="{'c-calender-popup': isStartCalenderOpen == false,'c-calender-popup1':isStartCalenderOpen == true}">
                        <kendo-popup #popup1 [margin]="calendarPopUpMargin" style="cursor: pointer;" [anchor]='calendarOpenBtn1' popupClass="d-flex justify-content-center align-items-center date-selection-popup" *ngIf="isStartCalenderOpen" (open)="openCalendarPopup('startDate')"
                            (mouseover)="calenderPopupFocus(true,'startDate')" (mouseleave)="calenderPopupFocus(false,'startDate')">
                            <dx-calendar #calendar class="calendar-popup-startDate" [firstDayOfWeek]="firstDay" [disabled]="false" [(value)]="startDate" cellTemplate="custom" (onOptionChanged)="optionChanged('startDate')" (valueChange)="onDateSelect('startDate')" formControlName="startDate">
                                <div class="d-flex align-items-center justify-content-center calender-tmplt-cell" [ngClass]="{'current-hover-date-week-date': isApplyWeekOrMF(cell.date)}" *dxTemplate="let cell of 'custom'" (mouseover)="mouseHover(cell)">
                                    <div class="d-flex align-items-center justify-content-center calender-tmplt-cell-text">
                                        {{cell.text}}
                                    </div>
                                </div>
                            </dx-calendar>
                            <div class="today-btn-wrapper">
                                <button mat-raised-button class="custom-today-btn" (click)="setTodayDate('startDate')">Today</button>
                            </div>
                        </kendo-popup>
                    </div>
                </div> -->
                                <div *ngIf="referralForm.controls['startDate'].touched && referralForm.controls['startDate'].value == null">
                                    This field is required
                                </div>
                            </div>
                            <div class="col-6">
                                <div style="display: flex;justify-content: space-between;">
                                    <div>
                                        <!-- <label class="m-0">End Date</label> -->
                                    </div>
                                    <div class="normal_13px_15px_font text-right normalhelfont grey caser">
                                        Required
                                    </div>
                                </div>
                                <mat-form-field [appearance]="'outline'">
                                    <mat-label>End Date</mat-label>
                                    <button type="button"
                                            class="d-flex align-items-center no-border-bg-btn w-100 cursor-pointer p-0"
                                            #endtDateInput>
                                        <input matInput type="text" class="flex-fill text-left" readonly="true"
                                               [value]="referralEndDateFormated"/>
                                        <img src="../../../../../assets/calendar%202.png">
                                    </button>
                                    <app-calender-popup *ngIf="endDateInputElem" [value]="refferralEndDate"
                                                        [max]="maxDOBDate" [anchor]="endDateInputElem"
                                                        (valueChange)="onDateSelect('endDate',$event)"></app-calender-popup>
                                </mat-form-field>
                                <!-- <div class="d-flex align-items-center" style="position: relative;">
                    <button #calendarOpenBtn2 class="d-flex align-items-center selected-date-wrapper" [ngClass]="{'week-view': currentView != 'day'}" (click)="toggleCalendarPopup(!isEndCalenderOpen,'endDate')" style="justify-content: space-between;">
    <div class="pl-2">
      {{getSelectedFormattedDateEnd}}
    </div>
    <div class="mr-2">
      <img src="../../../../../assets/calendar%202.png">
    </div>
  </button>
                    <div [ngClass]="{'c-calender-popup': isEndCalenderOpen == false,'c-calender-popup1':isEndCalenderOpen == true}">
                        <kendo-popup #popup2 [margin]="calendarPopUpMargin" style="cursor: pointer;" [anchor]='calendarOpenBtn2' popupClass="d-flex justify-content-center align-items-center date-selection-popup" *ngIf="isEndCalenderOpen" (open)="openCalendarPopup('endDate')"
                            (mouseover)="calenderPopupFocus(true,'endDate')" (mouseleave)="calenderPopupFocus(false,'endDate')">
                            <dx-calendar #calendar class="calendar-popup-endDate" [firstDayOfWeek]="firstDay" [disabled]="false" [(value)]="endDate" cellTemplate="custom" (onOptionChanged)="optionChanged('endDate')" (valueChange)="onDateSelect('endDate')" formControlName="endDate">
                                <div class="d-flex align-items-center justify-content-center calender-tmplt-cell" [ngClass]="{'current-hover-date-week-date': isApplyWeekOrMF(cell.date)}" *dxTemplate="let cell of 'custom'" (mouseover)="mouseHover(cell)">
                                    <div class="d-flex align-items-center justify-content-center calender-tmplt-cell-text">
                                        {{cell.text}}
                                    </div>
                                </div>
                            </dx-calendar>
                            <div class="today-btn-wrapper">
                                <button mat-raised-button class="custom-today-btn" (click)="setTodayDate('endDate')">Today</button>
                            </div>
                        </kendo-popup>
                    </div>
                </div> -->
                                <div class="pt-1 normal_13px_15px_font text-right normalhelfont caser c-dropdown-time-duration">
                                    <a (click)="openSelectDuration()">
                                        <strong class="select-duration">
                                            Select
                                            Duration
                                        </strong>
                                    </a>
                                    <div class="kendo-dummy-dropdown">
                                        <kendo-dropdownlist #dropdownlist [listHeight]="480" [data]="dateActions"
                                                            [valueField]="'value'" [textField]="'name'"
                                                            (selectionChange)="performDateAction($event)"
                                                            (close)="closeDropDown()" class="custom-dropdown-duration"
                                                            formControlName="selectDuration">
                                            <!-- [(ngModel)]="selectedDateAction" [ngModelOptions]="{standalone: true}" -->
                                            <ng-template kendoDropDownListItemTemplate let-dataItem>
                                                <div [class.remove-border]="dataItem.id == 12"
                                                     class="date-action-list-item text-center">
                                                    {{ dataItem.name }}
                                                </div>
                                            </ng-template>
                                        </kendo-dropdownlist>
                                    </div>
                                </div>
                            </div>

                            <div class="col-6"
                                 *ngIf="upload_title == 'Attach Referral' ||  upload_title == 'Edit Attached Referral'">
                                <div class="normal_13px_15px_font text-right normalhelfont grey caser">
                                    Required
                                </div>
                                <div>
                                    <mat-form-field [appearance]="'outline'" class="full-width mr-2" id="field">
                                        <mat-label>Referred to</mat-label>
                                        <div class="material-icons "
                                             style="position: absolute;right: 0;color: #00AEEF;">
                                            search
                                        </div>
                                        <div class="material-icons"
                                             style="position: absolute;right: -17px;color: #00AEEF;">
                                            arrow_drop_down
                                        </div>
                                        <input autocomplete="off" matInput (keyup)="handleFilterReferredTo($event)"
                                               [matAutocomplete]="auto2" formControlName="practitionerReferredToName"
                                               aria-required="referralForm.get('practitionerReferredToName').hasError('required')">
                                        <mat-autocomplete #auto2="matAutocomplete">
                                            <mat-option value="No Preference"
                                                        (click)="selectedReferredTo('No Preference')">
                                                No Preference
                                            </mat-option>
                                            <mat-option *ngFor="let obj of practitionerListSearch"
                                                        [value]="obj.firstName" (click)="selectedReferredTo(obj)">
                                                {{obj.firstName}}
                                            </mat-option>
                                        </mat-autocomplete>
                                        <mat-error
                                                *ngIf="referralForm.get('practitionerReferredToName').hasError('required') && referralForm.get('practitionerReferredToName').touched">
                                            This field is required
                                        </mat-error>
                                    </mat-form-field>
                                </div>
                            </div>
                            <div class="col-6 mt-3"
                                 *ngIf="upload_title != 'Attach Referral' &&  upload_title != 'Edit Attached Referral'">
                                <div>
                                    <mat-form-field [appearance]="'outline'" class="full-width mr-2" id="field">
                                        <mat-label>Reference Number</mat-label>
                                        <input autocomplete="off" matInput type="text" formControlName="referenceNo"/>
                                    </mat-form-field>
                                </div>
                            </div>
                            <div class="col-6" style="margin-top: 15px;"
                                 *ngIf="(upload_title == 'Attach Referral' || upload_title == 'Edit Attached Referral') && editPopUp">
                                <div>
                                    <mat-form-field [appearance]="'outline'" class="full-width mr-2" id="field">
                                        <mat-label>Status</mat-label>
                                        <mat-select formControlName="status"
                                                    aria-required="referralForm.get('status').hasError('required')">
                                            <mat-option [value]="status.id" *ngFor="let status of referralStatusData"
                                                        (click)="selectedStatus(status)">
                                                {{status.name}}
                                            </mat-option>
                                        </mat-select>
                                    </mat-form-field>
                                </div>
                            </div>
                            <div class="col-6" style="margin-top: 17px;"
                                 *ngIf="(upload_title != 'Edit Attached Referral' && upload_title != 'Attach Referral') && editPopUp">
                                <div>
                                    <mat-form-field [appearance]="'outline'" class="full-width mr-2" id="field">
                                        <mat-label>Status</mat-label>
                                        <mat-select formControlName="status">
                                            <mat-option [value]="status.id" *ngFor="let status of thirdPartyStatusData"
                                                        (click)="selectedStatus(status)">
                                                {{status.name}}
                                            </mat-option>
                                        </mat-select>
                                    </mat-form-field>
                                </div>
                            </div>

                            <div class="col-xl-12"
                                 *ngIf="upload_title == 'Attach Referral' ||  upload_title == 'Edit Attached Referral'">
                                <div class="filepreview-wrapper d-flex">
                                    <button mat-button color="warn" (click)="imageInput.click()"
                                            style="padding-left: 0px !important;" *ngIf="!uploadSuccess">
                                        <img src="../../../assets/upload.png" alt="" style="height: 20px;
                                    margin-right: 10px;"><a>
                                        <strong class="upload_doc_title">
                                            Upload Document
                                        </strong>
                                    </a>
                                        <input type="file" #imageInput (change)="upload($event.target.files)"
                                               style="display: none"/>
                                        <div style="color: red;">{{errorMessage}}</div>
                                    </button>
                                    <div class="upload" *ngIf="uploadSuccess">
                                        <span style="height: 20px;
                                        margin-right: 10px;color: black;">
                      <span class="upload_doc_title">
                        Uploaded File
                        :
                      </span>
                                        </span>
                                        <span style="color: #00AEEF; cursor: pointer;font-size: 16px;">{{filename}}</span>
                                        <div class="normal_13px_15px_font normalhelfont grey"
                                             style="text-align: center;margin-left: 10px;">
                                            <img src="../../../assets/download.png" style="cursor: pointer;"
                                                 (click)="downloadFile()" class="mr-2"/>
                                            <img src="../../../assets/deletei.png" style="cursor: pointer;"
                                                 (click)="openPopups('deleteImage')"/>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="col-xl-12" style="padding-top: 25px !important;">
                                <div class="d-flex">
                                    <mat-form-field [appearance]="'outline'" class="full-width" id="field">
                                        <mat-label>Notes</mat-label>
                                        <textarea matInput formControlName="notes" rows="5"
                                                  aria-required="referralForm.get('notes').hasError('required')"></textarea>
                                        <mat-error
                                                *ngIf="referralForm.controls.notes.hasError('required') && referralForm.controls.notes.touched">
                                            This field is required
                                        </mat-error>
                                        <mat-error *ngIf="referralForm.controls.notes.hasError('maxlength')">You can't
                                            type more than 250 characters
                                        </mat-error>
                                    </mat-form-field>
                                </div>
                            </div>
                        </div>

                        <div class="mb-5" style="align-items: center;">
                            <mat-checkbox class="set_as_default" formControlName="isDefault"
                                          (change)="defaultValueChange($event,'referral')">
                                <span style="padding-left: 15px;align-items: center;">Set as Default</span>
                            </mat-checkbox>
                        </div>
                    </form>
                </div>
            </div>
            <mat-divider></mat-divider>
            <div class="col-xl-12 p-0">
                <mat-dialog-content>
                    <div class="bottom-bar-wrapper">
                        <!-- && caseId != '' && caseId != null -->
                        <div class="text-left control-row bottom-btn" *ngIf="editPopUp">
                            <div class="pt-3">
                                <button mat-stroked-button mat-raised-button class=" mat-stroked-button-delete"
                                        (click)="openPopups('detachReferral')">
                                    Detach
                                </button>
                            </div>
                        </div>
                        <div class="text-right control-row bottom-btn">
                            <div class="pt-3">
                                <button mat-stroked-button color="accent" class="mr-3 footer-btn-customize"
                                        (click)="closePopups('referralAdd')" id="nocancel" style="padding: 0 11px">
                                    Cancel
                                </button>
                                <button mat-raised-button color="accent" [disabled]="referralForm.invalid"
                                        class="footer-btn-customize" (click)="saveReferralForm()"
                                        style="padding: 0 11px">
                                    Attach
                                </button>
                            </div>
                        </div>
                    </div>
                </mat-dialog-content>
            </div>
        </div>
    </kendo-dialog>
    <!-- referral/third party pop up end-->
    <!-- common popup start-->
    <kendo-dialog *ngIf="openPopUp" (close)="closePopups(whichPopup)" [height]="auto" [width]="800"
                  autoFocusedElement="#nocancel">
        <div class="modalHeight">
            <div class="col-xl-12 p-0">
                <div class="custom-delete-modal">
                    <span class="QUI_BOLD_18_32 deletetext text-uppercase">
            <span
                    *ngIf="whichPopup == 'detachReferralOrThirdPartyError' || whichPopup == 'caseDeleteError' || whichPopup == 'dischargeCaseError'">
              <img src="../../../../../assets/error_info.svg">
            </span>
                    <span>
              {{popupHeaderTitle}}
            </span>
                    </span>
                    <button mat-icon-button (click)="closePopups(whichPopup)" aria-label="Close dialog">
                        <mat-icon>close</mat-icon>
                    </button>
                </div>
            </div>
            <mat-divider></mat-divider>
            <div class="deleteDescription"
                 [ngClass]="{'custom-dlt-content': whichPopup != 'dischargeCase' && whichPopup != 'dischargeCaseError','discharge-popup-show': whichPopup == 'dischargeCase' ,'p-0':whichPopup == 'dischargeCaseError'}">
                <p class="HEL_REG_16_22 patientdeletemodal custom-font lightcolor pt-2">
                    {{popupBodyContent}}
                </p>
                <ul *ngIf="whichPopup == 'dischargeCaseError'" class="list-custom p-0">
                    <li> - {{popupBodyContent1}}</li>
                    <li> - {{popupBodyContent2}}</li>
                    <li> - {{popupBodyContent3}}</li>
                </ul>
                <textarea *ngIf="whichPopup == 'dischargeCase'" kendoTextArea placeholder="Type here..." rows="5"
                          style="width: 100%; border-radius: 5px;" [(ngModel)]="dischargeCaseText"></textarea>
            </div>
            <mat-divider></mat-divider>
            <mat-dialog-content>
                <div class="text-right control-row bottom-btn">
                    <div class="pt-3">
                        <button *ngIf="whichPopup != 'detachReferralOrThirdPartyError' &&  whichPopup != 'caseDeleteError' && whichPopup != 'dischargeCaseError' && whichPopup != 'mergeCase'"
                                mat-stroked-button color="accent" class="mr-3 footer-btn-customize"
                                (click)="closePopups(whichPopup)"
                                id="nocancel" style="padding: 0 25px">
                            <span> No</span>
                        </button>
                        <button mat-raised-button color="accent" class="mr-3 footer-btn-customize"
                                *ngIf="whichPopup == 'mergeCase'" (click)="closePopups(whichPopup)" id="nocancel"
                                style="padding: 0 25px">
                            <span> No</span>
                        </button>
                        <button mat-raised-button color="accent" *ngIf="whichPopup != 'mergeCase'"
                                class="footer-btn-customize" (click)="performSomeActionOnYes(whichPopup)"
                                style="padding: 0 25px">
              <span
                      *ngIf="whichPopup != 'detachReferralOrThirdPartyError' &&  whichPopup != 'caseDeleteError' && whichPopup != 'dischargeCaseError'">
                Yes
              </span>

                            <span
                                    *ngIf="whichPopup == 'detachReferralOrThirdPartyError' ||  whichPopup == 'caseDeleteError' || whichPopup == 'dischargeCaseError'">
                OK
              </span>
                        </button>
                        <button mat-stroked-button color="accent" *ngIf="whichPopup == 'mergeCase'"
                                class="footer-btn-customize" (click)="performSomeActionOnYes(whichPopup)"
                                style="padding: 0 15px">
              <span>
                Merge
              </span>
                        </button>

                    </div>
                </div>
            </mat-dialog-content>
        </div>
    </kendo-dialog>
    <!-- common popup end-->
</div>
